Subject: voltage and temperature in corner cases

From: [email-masked]
Date: Wed, 16 Jul 97 17:15:36 +0200

Hello,
     
     maybe someone already asked this question in the past, I don't know.
     
     I'm trying to figure out how to tweak all the parameters to exercise 
     worst case simulations. Let's take the example of a strong and fast 
     driver. The C_comp and parasitics will be the only parameters of the 
     driver to be weak. All receiver parameters will be weak (parasitics 
     and clamping diodes only). Let's say I tune the parameters of the PCB 
     to be weak also. So far everything is logical.
     
     I've got a problem with the voltage and temperature parameters. Let's 
     say I have ibis models for 5V cmos device, where min and max 
     parameters were extracted in the following conditions :
     
     min = minimum voltage, max temp deg C
     max = maximum voltage, min temp deg C
     
     then, I would have to supply the driver with 5.5V and the receiver 
     with 4.5V which is absolutely not realistic. This case never happens 
     on a motherboard. Also what voltage should be used to connect the 
     components tied to Vcc in between them ?
     
     Same thing for the temperature. There will never be let's say @ -50C 
     on one side and +70C on the other side. Moreover, what temperature 
     value shall I give to the simulation software for the components in 
     between the driver and receiver ?...
     
     In summary : what are the Vcc and temp values I shall use for the 
     corner case simulations ? 
     
     thanks and best regards,
     
     Jean-Christophe PAUTRAT,
     R&D Engineer, Design Engineering
     Commercial Desktop Computer Division,
     H E W L E T T - P A C K A R D

---

From: "Christopher E. Reid" <[email-masked]>
Date: Wed, 16 Jul 1997 09:11:25 -0700

Jean,

The "worst case" depends entirely on what you are trying to measure
and the topology of your nets.  There is no easy way to define
"worst case."  However, some of your questions can be answered.

Most likely your simulator ignores the temperature variations.
The temperature range indicates a reasonable operating range
for the part, and is supposed to have some connection to min
and max corners, but there is no direct tie between the temperature
you choose and the model that gets simulated unless your simulator
specifically defines one, in which case you'd better ask the
simulator vendor what is intended.

If you want a weak driver then use the "min" of most everything,
but use the "max" C_comp.

If you want a high impedance receiver, you can figure out what
to use as well as anyone.

If you want the "worst case" for a particular net, all bets are
off.  If by worst case you mean the most ringing, or the longest
time to "final settle", then that depends on the net topology
as well as the driver and receiver characteristics.  For example,
if you are using a balanced topology, say a star, then the worst
case is probably unbalanced receivers, some high impedance, some
low impedance.

There is no easy answer, although there is some theory behind this
which can be used to get an idea of what might be "worst case."

The only way to be sure is to run a Monte-Carlo type variation
of all the drivers and receivers, not to mention process variations
on you board, actual lengths of lines, etc.

Christopher Reid
Interconnectix
http://www.icx.com